Bug 814591 - gnome-shell failed to start because of stopped NetworkManager.sevice
gnome-shell failed to start because of stopped NetworkManager.sevice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 03:25 EDT by Lubos Kocman
Modified: 2013-07-31 19:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:34:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Kocman 2012-04-20 03:25:04 EDT
Description of problem:

I believe that gnome-shell is failing to start because of buggy nm-applet.

In my case I wasn't able to start gnome-shell until I started NetworkManager.service (I had it turned of because I'm using bridged interface).

Version-Release number of selected component (if applicable):

NetworkManager-gnome-0.9.4.0-1.git20120328.fc17.x86_64

How reproducible:


Steps to Reproduce:
1. disable NetworkManager.service
2. reboot
3. login into gnome-shell trough gdm
  
Actual results:

OH snap!

Expected results:

gnome-shell should start normally

Additional info:

gnome-shell starts up after systemctl start NetworkManager.service
Comment 1 Michael Walton 2012-05-25 11:05:55 EDT
I'm experiencing the exact same problem. It happened after a recent upgrade of something(s) or other. I can still login by not using gdm and using startx
instead.
Comment 2 Michael Walton 2012-05-26 17:20:47 EDT
This only happened once so far out of two reboots and multiple logins,
but it did happen.
Comment 3 Samuel Sieb 2012-11-21 18:48:25 EST
Is it actually the applet?  I thought gnome-shell had its own integration now.
Comment 4 Fedora End Of Life 2013-07-03 17:59:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:34:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.